using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

class Program
{
    static void Main()
    {
        int n = int.Parse(Console.ReadLine());
        int l = int.Parse(Console.ReadLine());

        int[] h = new int[n];
        for (int i = 0; i < n; i++)
        {
            h[i] = int.Parse(Console.ReadLine());
        }
        for (int j = 0; j < n; j++)
        {
            if (h[j] < l)
            {
                Console.WriteLine(j+1);
                return;
            }
            if(j==n)
            {
                Console.WriteLine(-1);
            }
        }
    }
}